Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0004402OCaml~DO NOT USE (was: OCaml general)public2007-09-24 09:042007-09-24 09:48
Reporterblume 
Assigned To 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version3.10.0 
Target VersionFixed in Version3.10+dev 
Summary0004402: ocamldebug dosen't work with -rectypes
DescriptionWhen I try to load a program that is compiled with -rectypes ocamldebug fails with the error message:

  Unit Foo imports from Bar, which uses recursive types.
  The compilation flag -rectypes is required

To reprocude: Compile a program with -rectypes, start ocamldebug, and issue
a break command.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0004160)
garrigue (manager)
2007-09-24 09:48

Fixed in CVS.
Just had to set Clflags.recursive_types to true in main.ml

- Issue History
Date Modified Username Field Change
2007-09-24 09:04 blume New Issue
2007-09-24 09:48 garrigue Status new => closed
2007-09-24 09:48 garrigue Note Added: 0004160
2007-09-24 09:48 garrigue Resolution open => fixed
2007-09-24 09:48 garrigue Fixed in Version => 3.10+dev
2017-02-23 16:36 doligez Category OCaml general => -OCaml general
2017-03-03 17:55 doligez Category -OCaml general => -(deprecated) general
2017-03-03 18:01 doligez Category -(deprecated) general => ~deprecated (was: OCaml general)
2017-03-06 17:04 doligez Category ~deprecated (was: OCaml general) => ~DO NOT USE (was: OCaml general)


Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker